[![kofi](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)](https://ko-fi.com/cityrobo)

# OpenScripts

Collection of scripts to make your modding life more funky! And make impossible things possible.

## Changelog
v1.5.1 Fixed red dot bugs. added configurable, but now fixed across scopes, render texture resolution config.

v1.5.0 Conversion update. Some scripts will be automatically replaced with OpenScripts2 version on runtime now.

v1.4.0 Updated to fix U106-2 related code changes.

v1.3.4 Updated to fix U105A1 related code changes. Also fixed some bugs in AdjustableReflexSight, HeatingBarrelEffects and MagazineScripts. Added MuzzleEffectController script.

v1.3.3 Updated AdjustableReflexSight, CustomQuickBeltSlots, LongRecoilSystem and BreakActionWeapon_BarrelSwitch scripts.

v1.3.2 Added FirearmHeatingEffect and DP-12 scripts.

v1.3.1 Updated SmartPistol, ThermalVision_Enabler, CapAndBall_Revolver and Adjustable_ReflexSight scripts. Added generic OpenScripts.dll for future scripts.

v1.3.0 Removed all BepInEx plugins from all DLLs. Loading is now done by the OpenScriptsBepInEx.dll. Made PrefabReplacer its own mod.

v1.2.13 updated TriggerModification, ScopeShaderZoom and RifleGrenadeAdapter scripts.

v1.2.12 updated MagazineScripts and AdditionalBarrel scripts.

v1.2.11 added TriggerModification scripts. Updated RifleGrenadeAdapter scripts.

v1.2.10 updated PrefabReplacer, RifleGrenadeAdapter, PreattachedAttachment and CustomQuickBeltSlots scripts.

v1.2.9 updated MagazineScripts and CustomQuickbeltSlot scripts. Re-added ThermalVision scripts after fixing performance problems. Added RifleGrenadeAdapter scripts.

v1.2.8 fixed a bunch of BepInEx GUIDs for my scripts so that they are all standarized.

v1.2.7 added PrefabReplacer scripts. Included MeatKit compatible copies of MonoMod-Scripts.

v1.2.6 fixed Adjustable_ReflexSight script being broken for like, forever. Removing Thermal shader and script stuff; cause apparently they cause performance issues. for everyone.

v1.2.5 added Thermal shader and script stuff (finally!). Updated OpenBoltBurst, MovableWeaponPart and Rigidbody_JiggleBones scripts.

v1.2.4 updated MagazineScripts, ManipulateObjectAttachmentProxy, Adjustable_Reflexsight and MagPoseCycler scripts. Added MeatBeatScanner script.

v1.2.3 Added LongRecoilSystem script

v1.2.2 Added MagazineScripts and AttachmentStock Monomod mods. Updated ModifyWeaponCartrideAndMagazineAttachment script with recoil profile swapping functionality.

v1.2.1 fixed ScopeShaderZoom integrated scopes. Added MeatyPages script and MeshCombiner so that no more yellow text in some of my guns woohoo.

v1.2.0 Removed Deli dependency. Updated all scripts to new H3VR code base.

v1.1.22 fixed Adjustable_Reflexsight not displaying reticle. Added SmartGun script and BreakActionWeapon_BarrelSwitch script.

v1.1.21 updated scripts due to Anton changing code. Added CapAndBallRevolver and RSC_Follower scripts.

v1.1.20 updated CustomQuickBeltSlots to support WristQBSlots and their items

v1.1.19 removed CustomQuickBeltSlots readonly variables

v1.1.18 added CustomQuickBeltSlots and WeaponEnhancementAttachment monomod scripts

v1.1.17 added reticle change feature to ScopeShaderZoom script and fixed spawn locking behavior on of the TapedMagazineMK2 script

v1.1.16 added MagPoseCycler script

v1.1.15 updated pretty much every script to new H3VR code base cause Anton changed code. This fixes the AttachableWeapons scripts as well. Added zeroing to custom scopes. Added ModifyWeaponCartrideAndMagazineAttachment script. Added option to change the default layer on the QBArmorPiece.

v1.1.14 updated QBArmorPiece to add hiding GameObject functionality

v1.1.13 updated PreattachedAttachment to work better with suppressors

v1.1.12 updated QBArmorPiece

v1.1.11 added MagazineTapeMK2 to the Magazine_Tape DLL

v1.1.10 updated Adjustable_ReflexSight again so Arpy is happy

v1.1.9 updated Adjustable_ReflexSight script to allow modification of the prefix text of the reticle and zero text fields

v1.1.8 updated QBArmorPiece. you can now set a separate layer for attachments and attachments should now be set to this layer once you attach them to the QBArmorPiece or QBArmorPiece_Backpack when it's inside a QBSlot

v1.1.7 updated QBArmorPiece to be functional without prior configuration in Unity (important for mods using an older version of the script)

v1.1.6 added MovableWeaponPart monomod script

v1.1.5 added ScopeZoomRotate (by Andrew_FTW's request) and updated QBArmorPiece to allow variable change of the Layer inside the QBSlot

v1.1.4 updated Adjustable_ReflexSight and ScopeShaderZoom scripts

v1.1.3 added ShotClock.dll to fix problems arisen by the switch to Stratum

v1.1.2 updated Magazine_Tape to not spam your console with red text when you try the clear mags with your wrist menu

v1.1.1 updated Attachable_Magazine with the Attachable_Magazine_MK2 script, a total revamp of the old system making it compatible with all magazine based systems and mods like Wristimate

v1.1.0 added first monomod plugin "QBArmorPiece"

v1.0.5 added Deli as Thunderstore dependency

v1.0.4 removed unnecessary Otherloader dependency

v1.0.3 updated "Manipulate_Animator" and "Typhoon" scripts

v1.0.2 added "AttachmentMountParentToThis" scripts

v1.0.1 added "Magazine_Tape" script

v1.0.0 inital release